Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2766393004: Convert most of the rest of instrumentation tests in content (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 4 weeks ago by the real yoland
Modified:
4 months ago
CC:
chromium-reviews, darin-cc_chromium.org, jam
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert most of the rest of instrumentation tests in content For more on JUnit4 migration, check src/testing/android/docs/junit4.md BUG=640116 Review-Url: https://codereview.chromium.org/2766393004 Cr-Commit-Position: refs/heads/master@{#465379} Committed: https://chromium.googlesource.com/chromium/src/+/c38c29e5447a9e3b8188dcecd343a7a8533d3d0d

Patch Set 1 #

Total comments: 7

Patch Set 2 : Added findbugs filter #

Patch Set 3 : Keep @CommenLineFlags #

Total comments: 5

Patch Set 4 : update deps #

Patch Set 5 : take out child process launcher test into its own CL #

Patch Set 6 : rebase #

Patch Set 7 : change runner #

Patch Set 8 : rebase #

Patch Set 9 : rebase #

Patch Set 10 : mistakes were made #

Patch Set 11 : rebase #

Patch Set 12 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2338 lines, -1940 lines) Patch
M base/test/android/javatests/src/org/chromium/base/test/BaseJUnit4ClassRunner.java View 1 2 3 4 5 6 10 11 1 chunk +1 line, -1 line 0 comments Download
M base/test/android/javatests/src/org/chromium/base/test/util/CommandLineFlags.java View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M content/public/android/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/ContentViewCoreSelectionTest.java View 1 2 3 4 5 6 7 8 16 chunks +170 lines, -122 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java View 1 2 3 4 4 chunks +20 lines, -10 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeArrayCoercionTest.java View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeArrayTest.java View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeBasicsTest.java View 1 2 3 4 30 chunks +299 lines, -212 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeChildFrameTest.java View 1 2 3 4 9 chunks +103 lines, -76 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeCoercionTest.java View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeFieldsTest.java View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeReturnValuesTest.java View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/LocationProviderTest.java View 1 2 3 4 1 chunk +25 lines, -11 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/PopupZoomerTest.java View 1 2 3 4 10 chunks +50 lines, -33 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/VideoFullscreenOrientationLockTest.java View 1 2 3 4 5 6 6 chunks +67 lines, -41 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/input/CursorAnchorInfoControllerTest.java View 1 2 3 4 21 chunks +196 lines, -180 lines 0 comments Download
A content/public/android/javatests/src/org/chromium/content/browser/input/ImeActivityTestRule.java View 1 chunk +616 lines, -0 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/input/ImeLollipopTest.java View 1 2 3 4 4 chunks +38 lines, -20 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/input/ImeTest.java View 1 2 3 4 5 6 7 8 9 10 chunks +740 lines, -1228 lines 0 comments Download
M tools/android/eclipse/.classpath View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 57 (41 generated)
the real yoland
This convert all but 4 tests for content instrumentation tests. As for the rest, 3 ...
4 months, 4 weeks ago (2017-03-23 04:02:23 UTC) #2
boliu
https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java File content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java (left): https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java#oldcode50 content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java:50: LibraryLoader.get(LibraryProcessType.PROCESS_CHILD).ensureInitialized(); why not use a @Before method?
4 months, 3 weeks ago (2017-03-23 18:04:08 UTC) #7
the real yoland
https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java File content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java (left): https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java#oldcode50 content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java:50: LibraryLoader.get(LibraryProcessType.PROCESS_CHILD).ensureInitialized(); On 2017/03/23 at 18:04:08, boliu wrote: > why ...
4 months, 3 weeks ago (2017-03-23 18:39:56 UTC) #8
boliu
https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java File content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java (left): https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java#oldcode50 content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java:50: LibraryLoader.get(LibraryProcessType.PROCESS_CHILD).ensureInitialized(); On 2017/03/23 18:39:56, the real yoland wrote: > ...
4 months, 3 weeks ago (2017-03-23 18:42:33 UTC) #9
the real yoland
https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java File content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java (left): https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java#oldcode50 content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java:50: LibraryLoader.get(LibraryProcessType.PROCESS_CHILD).ensureInitialized(); On 2017/03/23 at 18:42:32, boliu wrote: > On ...
4 months, 3 weeks ago (2017-03-23 19:01:03 UTC) #10
boliu
https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java File content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java (left): https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java#oldcode50 content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java:50: LibraryLoader.get(LibraryProcessType.PROCESS_CHILD).ensureInitialized(); On 2017/03/23 19:01:03, the real yoland wrote: > ...
4 months, 3 weeks ago (2017-03-23 19:02:51 UTC) #11
the real yoland
https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java File content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java (left): https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java#oldcode50 content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java:50: LibraryLoader.get(LibraryProcessType.PROCESS_CHILD).ensureInitialized(); On 2017/03/23 at 19:02:51, boliu wrote: > On ...
4 months, 3 weeks ago (2017-03-23 19:16:32 UTC) #12
boliu
https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java File content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java (left): https://codereview.chromium.org/2766393004/diff/1/content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java#oldcode50 content/public/android/javatests/src/org/chromium/content/browser/ChildProcessLauncherTest.java:50: LibraryLoader.get(LibraryProcessType.PROCESS_CHILD).ensureInitialized(); On 2017/03/23 19:16:31, the real yoland wrote: > ...
4 months, 3 weeks ago (2017-03-23 20:08:56 UTC) #13
the real yoland
Keep supporting @CommandLineFlags annotations in JUnit4
4 months, 2 weeks ago (2017-04-03 23:34:47 UTC) #16
the real yoland
4 months, 2 weeks ago (2017-04-03 23:34:56 UTC) #18
jbudorick
This seems ok. https://codereview.chromium.org/2766393004/diff/40001/content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java File content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java (right): https://codereview.chromium.org/2766393004/diff/40001/content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java#newcode29 content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java:29: public JavaBridgeActivityTestRule(boolean setUp) { Should this ...
4 months, 2 weeks ago (2017-04-04 00:39:56 UTC) #19
boliu
lgtm
4 months, 2 weeks ago (2017-04-04 15:16:42 UTC) #22
the real yoland
https://codereview.chromium.org/2766393004/diff/40001/content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java File content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java (right): https://codereview.chromium.org/2766393004/diff/40001/content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java#newcode29 content/public/android/javatests/src/org/chromium/content/browser/JavaBridgeActivityTestRule.java:29: public JavaBridgeActivityTestRule(boolean setUp) { On 2017/04/04 at 00:39:55, jbudorick ...
4 months, 2 weeks ago (2017-04-04 17:41:26 UTC) #23
jbudorick
lgtm https://codereview.chromium.org/2766393004/diff/40001/content/public/android/javatests/src/org/chromium/content/browser/input/CursorAnchorInfoControllerTest.java File content/public/android/javatests/src/org/chromium/content/browser/input/CursorAnchorInfoControllerTest.java (right): https://codereview.chromium.org/2766393004/diff/40001/content/public/android/javatests/src/org/chromium/content/browser/input/CursorAnchorInfoControllerTest.java#newcode95 content/public/android/javatests/src/org/chromium/content/browser/input/CursorAnchorInfoControllerTest.java:95: private static class AssertionHelper { On 2017/04/04 17:41:25, ...
4 months, 2 weeks ago (2017-04-04 19:51:17 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2766393004/280001
4 months ago (2017-04-18 21:21:35 UTC) #54
commit-bot: I haz the power
4 months ago (2017-04-18 21:29:52 UTC) #57
Message was sent while issue was closed.
Committed patchset #12 (id:280001) as
https://chromium.googlesource.com/chromium/src/+/c38c29e5447a9e3b8188dcecd343...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b